@import "~/src/sass/variables.sass"

.menu-host
  position: absolute
  left: 0px
  top: 0px

  width: 100%
  height: 100%

.menu
  position: fixed
  background-color: var(--color-surface, $light-surface)

  left: 0px
  top: 0px

  min-width: 120px
  max-width: 280px
  padding-top: 6px
  padding-bottom: 6px

  display: flex
  flex-direction: column

  box-shadow: 0px 4px 8px 3px rgba(0, 0, 0, 0.15), 0px 1px 3px rgba(0, 0, 0, 0.3)

  border-radius: 4px

  visibility: hidden

  &.ready
    visibility: visible
    animation: bounce 200ms both ease-in

  .menu-item
    display: flex
    align-items: center

    column-gap: 12px
    padding-left: 9px
    padding-right: 9px

    color: var(--color-on-surface, $light-on-surface)

    height: 48px

    text-decoration: none

    &:hover, &:focus
      background-color: transparentize(var(--color-on-surface, $light-on-surface), 0.92)

    &:active
      background-color: transparentize(var(--color-primary, $light-primary), 0.88)

    .menu-item-icon
      width: 20px
      height: 20px
      font-size: 20px

    .menu-item-name
      flex: 1
      font-size: 16px
      margin: 0px

  .menu-divider
    width: 100%
    height: 1px
    background-color: var(--color-surface-variant, $light-surface-variant)

@keyframes bounce
  0%
    transform: scale(0.8)
    opacity: 0
  50%
    transform: scale(1.02)
    opacity: 0.5
  100%
    transform: scale(1)
    opacity: 1

@media (prefers-color-scheme: dark)
  .menu
    background-color: var(--color-surface, $dark-surface)

    .menu-item
      color: var(--color-on-surface, $dark-on-surface)
      &:hover
        background-color: transparentize(var(--color-on-surface, $dark-on-surface), 0.8)
      &:active
        background-color: transparentize(var(--color-primary, $dark-primary), 0.88)

    .menu-divider
      background-color: var(--color-surface-variant, $dark-surface-variant)